# $Revision: 1.7 $, $Date: 2006/05/24 18:30:17 $
Summary:	Python module for parted
Summary(pl):	Modu Pythona dla parteda
Name:		python-parted
Version:	1.6.10
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	pyparted-%{version}.tar.gz
# Source0-md5:	977f05d390a9198a1170f860977ebcc6
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	parted-devel >= 1.6.22-3
BuildRequires:	python-devel >= 1:2.4
%pyrequires_eq	python-libs
Requires:	parted >= 1.6.22-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module for the parted library. It is used for manipulating
partition tables.

%description -l pl
Modu Pythona dla biblioteki parted. Suy do modyfikowania tablic
partycji.

%prep
%setup -q -n pyparted-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-python-version=2.4
%{__make} \
	AM_CFLAGS="-fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{py_sitedir}/partedmodule.so

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-parted.spec,v $
Revision 1.7  2006/05/24 18:30:17  qboosh
- sorted BRs, better Group

Revision 1.6  2006/05/24 16:47:06  ankry
- typo

Revision 1.5  2006/05/24 16:40:02  glen
- update to 1.6.10

Revision 1.4  2005/12/25 20:27:08  qboosh
- use PIC, release 2

Revision 1.3  2005/04/24 13:46:04  qboosh
- cleanup, pl, adjusted deps (relies on dasd and link patches)

Revision 1.2  2005/04/23 22:49:03  patrys
- fixed reqs

Revision 1.1  2005/04/23 22:44:54  patrys
- Initial PLD release
